
DO $$ 
    BEGIN
         IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14268) THEN
		RETURN;
          END IF;
 
        BEGIN
  


CREATE TABLE public."AuthClients"
(
	"Id"			bigserial NOT NULL,
	"Name"			character varying(64) NOT NULL,
	"ClientId"		character varying(64) NOT NULL,
	"ClientSecret"	character varying(64) NOT NULL,
	"RedirectUrl"	character varying(128) NOT NULL,
	"ApplicationKey"			character varying(16) NOT NULL,
	"Timestamp" timestamp without time zone DEFAULT timezone('utc', now())  NOT NULL,
	PRIMARY KEY ("ApplicationKey")
);
        EXCEPTION
            WHEN duplicate_table THEN RAISE NOTICE 'Create table <AuthClients>.';
        END;
    END;
$$



